#ifndef __PrpObjFigureBrush_h
#define __PrpObjFigureBrush_h

// ProObjFigureBrush.h : _xZkqqHx_iDhHiDgCiDfPiBfL_xHqqkZx_ _xZkqqHx_iDhEiDeAiDeDiDiL_xHqqkZx_
//

#include "StcLine.h"		// For CFCStcLine.
#include "StcBox.h"			// For CFCStcBox.
#include "CmbBrushRegister.h" // For CFCCmbBrushRegister.
#include "CmbSColor.h"		// For CFCCmbSColor.
#include "CmbPattern.h"		// For CFCCmbPattern.
#include "ProObjFigureBrushSub.h"	// For CFCPROOBJFIGUREBRUSH.
#include "ProObjProperty.h"	// Superclass.

#ifdef SUPER_CLASS
#undef SUPER_CLASS
#endif
#define SUPER_CLASS CFCProObjProperty

class CFCProObjFigurePen;

/////////////////////////////////////////////////////////////////////////////
// CFCProObjFigureBrush _xZkqqHx_iDfPiDeDiDeBiDiNiDeP_xHqqkZx_

class CFCProObjFigureBrush : public SUPER_CLASS
{
protected:
typedef SUPER_CLASS BASE_CLASS;

	DECLARE_DYNCREATE(CFCProObjFigureBrush)

// _xZkqqHx_iDfCiDjDiDfIiDgHiDiJiDeOiDfGiDiHiDjD_xHqqkZx_
public:
	CFCProObjFigureBrush();
	~CFCProObjFigureBrush();

// _xZkqqHx_iDfPiDeDiDeBiDiNiDeP_xHqqkZx_ _xZkqqHx_iDgGiBfLiDfO_xHqqkZx_
	//{{AFX_DATA(CFCProObjFigureBrush)
	enum { IDD = IDD_PRO_FIGURE_BRUSH };
	CFCStcBox			m_stbBrushSample;
	CFCStcLine			m_stlPenSample;
	CFCCmbSColor		m_cbbBrushBackSColor;
	CFCCmbPattern		m_cbbBrushPattern;
	CFCCmbSColor		m_cbbBrushForeSColor;
	CFCCmbBrushRegister	m_cbbBrushRegister;
	//}}AFX_DATA

// _xZkqqHx_iDhEiDiMiDjDiDgIjAoJiMlO_xHqqkZx_.
//friend class CFCProObjFigurePen;

// _xZkqqHx_iDiGiBfLiDfFiKnGjAjE_xHqqkZx_.
public:
// 00.11.08 Fukushiro M. 1_xZkqqHx_iNhDjFmPiNfI_xHqqkZx_ ()
//	void	SetPrpObjFigurePen (const CFCProObjFigurePen* prppFig0);
	void	SetPrpObjFigurePen (CFCProObjFigurePen* prppFig0);
	void	SampleInit (CFCStcBox& stbBrushSample) const;

CFCPROOBJFIGUREBRUSH

// _xZkqqHx_iDiGiBfLiDfFjFmPjAjE_xHqqkZx_.
protected:
// 00.11.08 Fukushiro M. 1_xZkqqHx_iNhDjFmPiNfI_xHqqkZx_ ()
//	const CFCProObjFigurePen*	m_prppFigure0;
	CFCProObjFigurePen*	m_prppFigure0;

// _xZkqqHx_iDeJiBfLiDgPiBfLiDiJiDeDiDgI_xHqqkZx_
	// ClassWizard _xZkqqHx_iCmNiJlMjBhKiKnGjAjEiCpAjAlGjAkMiClFiDeJiBfLiDgPiBfLiDiJiDeDiDgIiClFiCnMiClHiBeC_xHqqkZx_
	//{{AFX_VIRTUAL(CFCProObjFigureBrush)
	public:
	virtual void OnOK();
	virtual BOOL OnSetActive();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV _xZkqqHx_iDfEiDhMiBfLiDgH_xHqqkZx_
	//}}AFX_VIRTUAL

// _xZkqqHx_iDeDiDjDiDhGiDiKiDiBiDjDiDgFiBfLiDfGiDiHiDjD_xHqqkZx_
protected:
	// _xZkqqHx_jAlGjAkMiClDiCoKiClNiDiBiDgCiDfKiBfLiDfH_xHqqkZx_ _xZkqqHx_iDhNiDgCiDhGiKnGjAjE_xHqqkZx_
	//{{AFX_MSG(CFCProObjFigureBrush)
	virtual BOOL OnInitDialog();
	afx_msg void OnFg1RdoSolid();
	afx_msg void OnFg1RdoTransp();
	afx_msg void OnFg1RdoPattern();
	afx_msg void OnFg1RdoNone();
	afx_msg void OnFg1BtnRecord();
	afx_msg void OnFg1BtnRegist();
	afx_msg void OnFg1BtnForecol();
	afx_msg void OnFg1RdoUseReg();
	afx_msg void OnFg1RdoNotUseReg();
	afx_msg void OnFg1RdoUnknownUseReg();
	afx_msg void OnDialogInitValue();
	afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
	afx_msg void OnFg1BtnBackcol();
	//}}AFX_MSG
	afx_msg void OnSelchangeFg1CbbBrushRegister();
	afx_msg void OnSelchangeFg1CbbBrushForeSColor();
	afx_msg void OnSelchangeFg1CbbBrushPattern();
	afx_msg void OnSelchangeFg1CbbBrushBackSColor();
	DECLARE_MESSAGE_MAP()

}; // class CFCProObjFigureBrush.

#endif//__PrpObjFigureBrush_h
